import Vue from 'vue'
import App from './App.vue'
import store from '@/store'
import VueClipboard from 'vue-clipboard2'
import 'vue-virtual-scroller/dist/vue-virtual-scroller.css'
import VueVirtualScroller from 'vue-virtual-scroller'
import imgPreview from '@/components/popup/imgPreview'
import packetGet from '@/components/popup/packetGet'
import packetSend from '@/components/popup/packetSend'
import otherInfo from '@/components/popup/otherInfo'
import TWEEN from '@tweenjs/tween.js'

Vue.use(VueClipboard)
Vue.use(VueVirtualScroller)
Vue.use(imgPreview)
Vue.use(otherInfo, store)
Vue.use(packetGet, store)
Vue.use(packetSend, store)

Vue.config.productionTip = false

new Vue({
  render: h => h(App),
  store
}).$mount('#app')

// Setup the animation loop.
function animate (time) {
  requestAnimationFrame(animate)
  TWEEN.update(time)
}
requestAnimationFrame(animate)
